Subject: How to find source of a panic event?

From: Giuseppe Sacco <[email-masked]>
Date: Sun, 9 Mar 2008 15:35:59 +0100

Hi all,
I am testing new kernels on a spare O2. Since I see some strange behaviour, I would like to ask you for a comment on this subject.

What happens is that when the kernel is loaded and then started, the led immediately start blinking red/green and the machine power off after 120 seconds.

Looking at arch/mips/sgi-ip32/ip32-reset.c I found that when setting up the system, a new interrupt is requested, MACEISA_RTC_IRQ, and a notifier_block structure is setup in order to be used when a panic action is triggered. When this happens, the panic action uses the interrupt to wait two minutes and power off the machine.

So I wonder how to find the source calling this panic_action.

Thanks to all,
Giuseppe